de.dhbwstuttgart.typeinference.typedeployment

## Class GenericVarPatch

- java.lang.Object
- - de.dhbwstuttgart.typeinference.typedeployment.GenericVarPatch

    class GenericVarPatch
    extends java.lang.Object

Eine Hilfsklasse zur Einsetzung einer Generischen Variable.

Author:
  janulrich

### Field Summary

Fields
`private Menge<GenericVarDeclarationPatch>` `genericVarDeclarations`
`private Menge<GenericVarExtendsDeclarationPatch>` `genericVarExtendDeclarations`
`private Menge<TypePlaceholder>` `usedTPHs`

### Constructor Summary

Constructors
Constructor and Description
`GenericVarPatch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Pair p)` FÃ¼gt eine generische Variable in Form eines Pairs an.
`void` `add(TypePlaceholder tph)`
`void` `addPairs(Menge<Pair> pairs)`
`void` `addTPHs(Menge<TypePlaceholder> TPHs)`
`java.lang.String` `getInsertString(ResultSet rs)`
`void` `removeUnusedTPHs(Menge<TypePlaceholder> usedTPHs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### genericVarExtendDeclarations

    private Menge<GenericVarExtendsDeclarationPatch> genericVarExtendDeclarations

#### genericVarDeclarations

    private Menge<GenericVarDeclarationPatch> genericVarDeclarations

#### usedTPHs

    private Menge<TypePlaceholder> usedTPHs

### Constructor Detail

#### GenericVarPatch

    GenericVarPatch()

### Method Detail

#### add

    public void add(Pair p)

FÃ¼gt eine generische Variable in Form eines Pairs an.

Parameters:
  `p` -

#### getInsertString

    public java.lang.String getInsertString(ResultSet rs)

#### add

    public void add(TypePlaceholder tph)

#### addTPHs

    public void addTPHs(Menge<TypePlaceholder> TPHs)

#### addPairs

    public void addPairs(Menge<Pair> pairs)

#### removeUnusedTPHs

    public void removeUnusedTPHs(Menge<TypePlaceholder> usedTPHs)